Subject: Re: RFC: a plugin architecture for git extensions?

From: Andreas Ericsson <[email-masked]>
Date: Thu, 28 Apr 2011 11:11:49 +0200

On 04/28/2011 04:15 AM, Jon Seymour wrote:
> Assuming for the moment that the concept of a managed plugin is accepted, then.
> 
> The relationship between distribution managers and the git-plugin
> architecture would be as follows:
> 
> - distributions would know how to locate the git instance it manages
> - distributions would know how to install their own packages that
> contain plugins into plugins/ subdirectory of this git instance
> - distributions would know how to run git plugin activate and properly
> handle non-zero return codes from same
> 
> make install scripts would act like a kind of distribution in this regard.
> 
> Now consider this:
> 
> * suppose that git-core defined a git install _interface contract_ but
> did not define an implementation.
> 

Please. I'm already on my way to a seriously boring sales meeting without
having developers throw garbage terms on me. You've done a lot of that in
this thread and I for one am confused by them as to what you want to
achieve and how you want to achieve it.

> Then, a distribution could install its own implementation of the
> git-install plugin into git installations it manages.
> 
> Then a command like:
> 
>      git install gitwork
> 
> would trivially work across all distributions precisely because the
> distribution has provided the implementation of the git install
> interface contract that git-core has helpfully mandated.
> 

And so we force package maintainers to become git extension developers.
Brilliant. They'll love you for it.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231

Considering the successes of the wars on alcohol, poverty, drugs and
terror, I think we should give some serious thought to declaring war
on peace.